StarEncodingJapanese Class Reference documentation

Public Member Functions | Static Public Member Functions | List of all members
StarEncodingJapanese Class Reference

the main class to read/. More...

`#include <StarEncodingJapanese.hxx>`

## Public Member Functions
| StarEncodingJapanese ()
| constructor More...
virtual | ~StarEncodingJapanese ()
| destructor More...

## Static Public Member Functions
static bool | readJapanese1 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: MS932, SHIFT_JIS, APPLE_JAPANESE More...
static bool | readJapaneseEUC (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: EUC_JP More...
static bool | readJapanese208 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: JIS_X_0208 More...
static bool | readJapanese212 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: JIS_X_0212 More...

## Detailed Description

the main class to read/.

. some Japanese encoding in StarOffice documents

## Constructor & Destructor Documentation

## ◆ StarEncodingJapanese()

StarEncodingJapanese::StarEncodingJapanese | ( |  | ) |

constructor

## ◆ ~StarEncodingJapanese()

StarEncodingJapanese::~StarEncodingJapanese | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ readJapanese1()

bool StarEncodingJapanese::readJapanese1 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest
| ) |  |
| static

try to read a caracter and add it to string: MS932, SHIFT_JIS, APPLE_JAPANESE

Referenced by StarEncoding::read().

## ◆ readJapanese208()

bool StarEncodingJapanese::readJapanese208 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest
| ) |  |
| static

try to read a caracter and add it to string: JIS_X_0208

Referenced by StarEncoding::read().

## ◆ readJapanese212()

bool StarEncodingJapanese::readJapanese212 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest
| ) |  |
| static

try to read a caracter and add it to string: JIS_X_0212

Referenced by StarEncoding::read().

## ◆ readJapaneseEUC()

bool StarEncodingJapanese::readJapaneseEUC | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest
| ) |  |
| static

try to read a caracter and add it to string: EUC_JP

Referenced by StarEncoding::read().

The documentation for this class was generated from the following files:

- StarEncodingJapanese.hxx
- StarEncodingJapanese.cxx